[Backgroundrb-devel] Backgroundrb crashes since last SVN update (1.0.4)

hemant gethemant at gmail.com
Thu Jul 17 06:59:20 EDT 2008


On Thu, Jul 17, 2008 at 4:03 PM, Cédric <akyrho at gmail.com> wrote:
> Hello,
>
> I've got some trouble to run script/backgroundrb since the last SVN update
> (v 1.0.4).
>
> When I run ruby script/backgroundrb, everything goes, but when i call a
> worker, backgroundrb crashes and returns the following message :
>
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:266:in
> `load_missing_constant': uninitialized constant Packet::BinParser
> (NameError)
>     from
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:453:in
> `const_missing'
>     from
> /home/cedric/www/project/vendor/plugins/backgroundrb/server/lib/master_worker.rb:161:in
> `post_init'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_connection.rb:21:in
> `invoke_init'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:302:in
> `decorate_handler'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:76:in
> `accept_connection'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:202:in
> `handle_external_messages'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:178:in
> `handle_read_event'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `each'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `handle_read_event'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:130:in
> `start_reactor'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `loop'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `start_reactor'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_master.rb:21:in
> `run'
>     from
> /home/cedric/www/project/vendor/plugins/backgroundrb/server/lib/master_proxy.rb:14:in
> `initialize'
>     from script/backgroundrb:60:in `new'
>     from script/backgroundrb:60
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_nbio.rb:25:in
> `read_data': Packet::DisconnectError (Packet::DisconnectError)
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_worker.rb:46:in
> `handle_internal_messages'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:176:in
> `handle_read_event'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `each'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `handle_read_event'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:130:in
> `start_reactor'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `loop'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `start_reactor'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_worker.rb:20:in
> `start_worker'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_master.rb:133:in
> `fork_and_load'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_master.rb:108:in
> `start_worker'
>     from
> /home/cedric/www/project/vendor/plugins/backgroundrb/server/lib/master_proxy.rb:16:in
> `initialize'
>     from
> /usr/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_master.rb:19:in
> `run'
>     from
> /home/cedric/www/project/vendor/plugins/backgroundrb/server/lib/master_proxy.rb:14:in
> `initialize'
>     from script/backgroundrb:60:in `new'
>     from script/backgroundrb:60
>
> I tried to remove/reinstall backgroundrb as mentionned in some post i found
> [1] about a similar problem, but it did not make any changes.

I think, you are trying to run this version of BackgrounDRb with
packet gem  < 0.1.7.

You should install latest version of packet(which is 0.1.7) and try.


More information about the Backgroundrb-devel mailing list